package com.xunmei.core.resumption.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.core.resumption.domain.AppResumptionData;
import com.xunmei.core.resumption.vo.ResumptionInfoVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 履职数据表服务接口
 *
 * @author oygj
 * @since 2022-05-05 17:35:14
 * @description 由 Mybatisplus Code Generator 创建
 */
public interface AppResumptionDataService extends IService<AppResumptionData> {

    List<Map<String, Object>> findTaskDataList(String taskid, Long areaid);

    List<Map<String, Object>> findCheckDataList(String taskid, Long areaid,Long itemid);

    List<Map<String, Object>> findAreaListPlan(String taskid);

    List<Map<String, Object>> findTaskDataListNew(String taskid);

    List<Map<String, Object>> findCheckDataListNew(String taskid);

    List<ResumptionInfoVo> findDataByTaskId(String taskId);

    /**
     *
     * @param businessType  要点关联的业务类型
     * @param date 日期
     * @param orgId 机构ID
     * @return
     */
    List<AppResumptionData> findDataByPointBusiness(Integer businessType, Date date,Long orgId);

    void updateData(String taskId);
}
